----------------------------------------------------------------
-- Copyright (c) 2012 Klei Entertainment Inc.
-- All Rights Reserved.
-- SPY SOCIETY.
----------------------------------------------------------------

local cdefs = include( "client_defs" )
local util = include( "client_util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local commonanims = include("common_anims")


local AGENT_ANIMS = commondefs.AGENT_ANIMS
local GUARD_ANIMS = commondefs.GUARD_ANIMS
local HOSTAGE_ANIMS = commondefs.HOSTAGE_ANIMS
local DRONE_ANIMS = commondefs.DRONE_ANIMS
local FLOAT_DRONE_ANIMS = commondefs.FLOAT_DRONE_ANIMS
local FLOAT_DRONE_TANK_ANIMS = commondefs.FLOAT_DRONE_TANK_ANIMS
local Layer = commondefs.Layer
local BoundType = commondefs.BoundType

-----------------------------------------------------------------
-- Data for anim definitions.

local animdefs =
{

------------------------------------------------

	kanim_decker_revolver = 		
	{
		wireframe =
		{
			"data/anims/characters/guns/gun_pistol_empty_wire.abld",	
		},
		build = "data/anims/characters/guns/gun_decker_revolver.abld",		
		grp_build = "data/anims/characters/guns/grp_gun_decker_revolver.abld",
		anims = {},
	},


------------------------------------------------

}

return animdefs