---------------------------------------------------------------------
-- Invisible Inc. MOD.
--

local DLC_STRINGS =
{	           
	
	OPTIONS =
	{
		ENABLE_AGENTS = "Enable extra agents and items",
		ENABLE_AGENTS_TIP = "<c:FF8411>AGENTS</c>\nDr. Kit Pedler\nMist\nGhuff\nN-Umi",  

		INCIDENTS = "Add fixes to Interactive Events",
		INCIDENTS_TIP = "<c:FF8411>Require \"Interactive Events\" mod by Cyberboy2000</c>\nMostly visual attunement.\nSome loot lists changes.",  	
		
		NEW_ENTRY_ROOMS = "Add new entry rooms",
		NEW_ENTRY_ROOMS_TIP = "<c:FF8411>ENTRY ROOMS</c>\nShared - 1\nFTM - 2\nK&O - 2\nPlastech - 1\nSankaku - 2",  

		NEW_ROOMS = "Add new rooms",
		NEW_ROOMS_TIP = "<c:FF8411>ROOMS</c>\nWalls around nanofabs variety - 3",  

		NEW_EXIT_ROOMS = "Add new exit rooms",
		NEW_EXIT_ROOMS_TIP = "<c:FF8411>EXIT ROOMS</c>\nNormal exits - 6\nVault door exit - 1",  

		WIREFRAMES = "No wireframes",
		WIREFRAMES_TIP = "<c:FF8411>NO WIREFRAMES</c>\nRemoves grayed silhouettes of units hidden in cover, mod agents don't have these and will look off with the option disabled.\nAlso removes highlighting of tiles occupied by agents or enemies.\nEasier to miss your agent, grants prettier screenshots.\n<c:FF8411>Tip:</c>\nIf you use \"Cover overlays\" mod, you don't have to disable this option, just ignore it.",		

		GUNS = "Decker's revolver reskin",
		GUNS_TIP = "<c:FF8411>Decker's revolver reskin</c>\nInspired by Blade Runner.",	

		HANDGUNS = "Handguns reskin",
		HANDGUNS_TIP = "<c:FF8411>Handguns reskin</c>\nInspired by game intro video and art.",	

		EMP = "EMP grenades and Wireless Overloaders",
		EMP_TIP = "<c:FF8411>EMP tools</c>\nEMP-grenades in stores\nWireless Overloaders in stores and security safes.",

		CHECKBOX = "Custom portraits for some guards to match appearance",
		CHECKBOX_TIP = "<c:FF8411>GUARDS</c>\nK&O guard\nFTM guard\nPlastech Elite Security\nPlastech Siren - DLC\nThis option does nothing. To turn this off you need to remove mod.",  
	
		ENABLE_PORTRAITS = "Enable portraits for archive loadouts",
		ENABLE_PORTRAITS_TIP = "<c:FF8411>PORTRAITS FOR ARCHIVES</c>\nAnimated portraits corrected to fit color schemes of archived versions of agents.\nRecolor of on-file portraits for Shalem, Internationale and Dr.Xu.",  	

		ENABLE_LONESTART = "Enable choice to start with just one agent",
		ENABLE_LONESTART_TIP = "<c:FF8411>LONE START</c>\nAdd an \"empty\" choice to list of agents.",  	

		PEDLER_DETENTION = "Dr.Pedler in detention pool",
		PEDLER_DETENTION_TIP = "Chance to rescue Dr.Pedler from detention center.",

		MIST_DETENTION = "Mist in detention pool",
		MIST_DETENTION_TIP = "Chance to rescue Mist from detention center.",

		GHUFF_DETENTION = "Ghuff in detention pool",
		GHUFF_DETENTION_TIP = "Chance to rescue Ghuff from detention center.",

		NUMI_DETENTION = "N-Umi in detention pool",
		NUMI_DETENTION_TIP = "Chance to rescue N-Umi from detention center.",
		
	},

	ABILITIES =
	{
		BREAK_DOOR_2_DESC = "Break down a door. KO/EMP a guard with armor less than agent's Strength (+ Armor Penetration) behind.\nCosts 2 PWR and 2 AP. Does not work on locked doors.",
		MIND_SHADE = "Mind Shade",
		MIND_SHADE_DESC = "Block senses for 1 turn.\nCosts {1} PWR.\nUses attack.",

		PRIME_DECOY = "Prime Decoy",
		PRIME_DECOY_DESC = "Place a decoy on the ground",
		OVERLOAD = "Overload",	
		OVERLOAD_TOOLTIP = "Spam %s electronics",
		DISCHARGE = "Discharge",	
		DISCHARGE_TOOLTIP = "Crank %s electronics to 11 \n Stun people nearby",

		SPIDER_OFF = "Self-destruct",
		SPIDER_OFF_DESC = "Destroy this unit.",
		BUY_PWR = "BUY PWR",
		BUY_PWR_DESC = "Buy 1 PWR for {1} CREDITS",
		BUY_PWR_ERROR = "Not enough CREDITS",
		BUY_PWR_ERROR_FULL = "PWR Full",
		BUY_PWR_FLY = "+1 PWR for {1} CR",

		
	},

	UI = 
	{
		COMBAT_PANEL_NO_ATTACK = "3 AP REQUIRED",
		BRAWLING_DRAWBACK = "PNEUMATIC STRIKE DRAWBACK",
		MIND_SHADE = "MIND SHADE",
		MIND_SHADED = "Mind Shade",
		MIND_SHADED_DESC = "This unit can't hear or recognize intruders until next turn.",
		
	},

	AGENTS =
	{
		KPC = {
			NAME = "Dr. Pedler",
			FILE = "LEM GEOS-A SC 20491",
			YEARS_OF_SERVICE = "21",
			AGE = "53",
			HOMETOWN = "London",
			RESCUED = "Took your sweet time.",
			BIO_SPOKEN = "",
			FULLNAME = 'Dr. Kit Pedler',
			BIO = "A successful medical scientist before the Resource Wars, Pedler ran his own center for research on neurosynth matrix transplantation and augment power recycling.\n\nWhen Pedler Medical Engineering was absorbed by K&O, he moved underground and had a career as a black-market surgeon, until an accident with a experimental power station left him mortally wounded.\n\nHis knowledge let him save his life by neurally uplinking his cerebrum to a robotic frame. His new body didn't allow Kit to keep up his medical practice, so he had to resort to making money by becoming an underground fight star.",
			TOOLTIP = "Heavy Handed",
			LOADOUT_1 = "ON FILE",
			LOADOUT_2 = "ARCHIVE",
			BANTER = {
				START ={
					"Get this sorted and I'll make us all a spot of tea. \"Real\" tea.",
					"Let's sink our teeth into this place.",
					"My brains are just like yours. Except that certain weaknesses have been removed.",
					"We will fight them on the beaches!",
					"Itchy servos. I'd say it's time for action.",
					"Let's really cut the mustard, shall we?",
				},
				FINAL_WORDS =
				{
					"Like a lead balloon.",
					"Delete!",
					"We will survive.",	
					"001100010010011110100001101101110011",
					"Execution successful. End of line.",
					"Anyone who moves will be killed instantly.",
				},
			},				
		},		

		MIST = {
			NAME = "Mist",
			FILE = "FILE #TS12-PLFD-GP15287",
			YEARS_OF_SERVICE = "2",
			AGE = "25",
			HOMETOWN = "Reykjavik",
			RESCUED = "I knew it was you.",
			BIO_SPOKEN = "",
			FULLNAME = "Minna \"Mist\" Kristvinsdottir",
			BIO = "The better part of Mist's life was spent as an object of study in Plastech's R&D lab deep in the Pacific Ocean. A visit from the new CEO and the resulting personnel reshuffle gave her an opportunity to escape. Fortunately for her, agents of Invisible were the first to find and contact her.\n\nHer natural abilities are enhanced by augments that let her put a \"mind shade\" on targets, forcing them to ignore specific stimuli for a short period of time.",
			TOOLTIP = "Escapee",
			LOADOUT_1 = "ARCHIVE",			
			BANTER = {
				START ={
					"No \"normal\" coffee machines here? What a shame. The place I left was full of them.",
					"Is it stealth or action this time?",
					"Those blue sparks are strangely... refreshing.",
					"Looks like an excellent holiday location.",
					"Clean and enclosed! I hate places like this.",
					"You look jumpy tonight. May I suggest chamomile tea?.",
				        "POWER! I NEED MORE POWER! See? Nobody heard me.",
				},
				FINAL_WORDS =
				{
					"Sleep again? Fine.",
					"Don't wake me up this time.",
					"You'll see me in a dream.",
					"Being shot? That's nothing.",	
					"I don't want to go back.",
				},
			},				
		},	

		GHUFF = {
			NAME = "Ghuff",
			FILE = "#218 5614-AD 87-312506",
			YEARS_OF_SERVICE = "6",
			AGE = "39",
			HOMETOWN = "Hawaii",
			RESCUED = "I guess I owe you one.",
			BIO_SPOKEN = "",
			FULLNAME = 'Thomas William Mosely Ghuff VI',
			BIO = "Ghuff was a mercenary investigator for years, specializing in retrieving information on corporate double-crossers. In the end, he made enough corporate enemies to qualify for \"retirement\".\n\nJoining Invisible didn't seem like the worst alternative.",
			TOOLTIP = "Investigator",
			

			BANTER = {
				START ={
					"You know, most investigators these days pay no more attention than the average guy off the street.",
					"I know this city. This city is a woman. Most likely.",
					"Whatever we find here, it better be worse than a couple crooked execs.",
					"Lemme guess. Are large sums of money involved?",
					"You know my methods? Apply them.",
				},
				FINAL_WORDS =
				{
					"Now I know what you're thinking.",
					"My retirement party was Friday.",
					"You know, that was a bit of alright.",
					"I could have been enjoying the sunrise this morning.",
					"You have more dumb luck than anyone else I know.",	
					
				},
			},				
		},	

		NU = {
			NAME = "N-Umi",
			FILE = "#648 8459-NU 2X-753655",
			YEARS_OF_SERVICE = "4",
			AGE = "31",
			HOMETOWN = "Kyoto",
			RESCUED = "I'm speechless.",
			BIO_SPOKEN = "",
			FULLNAME = "Umiko \"N-Umi\" Nakagawa",
			BIO = "Umiko chose to follow in the footsteps of her father, a cutting-edge cyberneticist, and was offered a leading role in the Sankaku Heavy Industries research department.\n\nAfter several years of exemplary work, she was promoted and gained access to highly secure data. She cannot remember a shred of it. An encrypted message that she sent to herself shortly after her promotion is the only indicator that she ever had access.\n\nFrightened by her memory erasure, she vanished from corporate society. Years later, she appeared on Invisible's channels, offering her services for a chance to recover her memories.",
			TOOLTIP = "Cyberneticist",
			
			BANTER = {
				START ={
					"Sadly, there's no \"special\" equipment around. Just the common stuff.",
					"Hope the walls are thick this time.",
					"Perfect, isolated, technical world. As always.",
					"Levitating drones a bit noisy; coolant problem.",
					"I prefer walking models of drones, though wheeled models are fun too.",
				},
				FINAL_WORDS =
				{
					"The final page of this story.",
					"Serenity will take me in its open arms.",
					"Another red spot on the floor. How sad.",
					"Channel closed. Over.",
					"The End.",	
					
				},
			},				
		},		


	},

	ITEMS =
	{
			KPC_SCANGRENADE = "Scanning Beacons",
			KPC_SCANGRENADE_FLAVOR = "A handheld nanofabricator device that provides instant sonar scanning for a drop of energy.",

			KPC_TAZER = "Cybermat Disrupter",
			KPC_TAZER_TIP = "Melee range.\nGrants +1 PWR when used.",    
			KPC_TAZER_FLAVOR = "A neural disrupter that jacks into the tactical interface used by common security personnel, siphoning their PWR.", 

			KPC_KO_CHARGE = "Heavy Frame",
			KPC_KO_CHARGE_TIP = "Access consoles 3 tiles away.\n+2 KO melee but 3AP cost.\nBreak unlocked doors (-2 PWR, -2AP).\nCarry +1 item without encumbrance.\nKO immune. Extra noisy sprint.",
			KPC_KO_CHARGE_FLAVOR = "Full-body mechanical prosthesis has its advantages, built-in broadcasting device allows the agent to interact with electronics from a distance.",

			MIST_AUGMENT = "Sensory Inhibitor",
			MIST_AUGMENT_TIP = "Renders a guard in this agent's direct vision unable to hear or see intruders for one turn. Consumes 2 PWR plus 2 per every mind already being shaded. Uses Attack. Range: 7 tiles.",
			MIST_AUGMENT_FLAVOR = "Plastech neuro-adapters target an enemy's nerve conduction and tickle the pineal gland, resulting in sensory distortions. Use on targets in moving vehicles is prohibited.",

			GHUFF_PDA = "Reptilian Eyes",
			GHUFF_PDA_TIP = "Peeking through doors gives full vision.\nCan find Corporate Intel in large safes.",
			GHUFF_PDA_FLAVOR = "Artificial eyeballs connected to a built-in microcomputer. Allows higher attention to detail and has a custom data filter for isolating important info faster.",

			DECOY_PACK = "Decoy Pack",
			DECOY_PACK_TIP = "Will be identified as an intruder. Disappears when shot.\nSelf-destruction creates a noise that reaches 4 tiles and resets the aim of guards in the area.",
			DECOY_PACK_FLAVOR = "This miniature EMP emitter, combined with a hologram projector, creates an area of charged particles that can trick the standard threat-detection systems of corporate tactical huds. Popular in shooting galleries.",	

			DECOY = "Decoy",
			DECOY_TIP = "Identified as intruder.\nDisappears when shot.\nSelf-destruct through mainframe.",
			DECOY_OFF = "Self-destruct decoy",
			DECOY_OFF_TIP = "Eliminate decoy. Noise range: 4 tiles.\nReset aim of guards in range.\nDoes not activate Sound Bugs.",

			EMP_GRENADE = "EMP Grenade",
			EMP_GRENADE_TIP = "Disables mainframe devices within an area.",
			EMP_GRENADE_FLAVOR = "\"Freshly canned electrons for your discrete pleasure\".",

			REMOTE_OVERLOAD = "Wireless Overloader",
			REMOTE_OVERLOAD_TIP = "Blast targeted electronic devices with an EMP. Turns off heart monitors. Overload of controlled device stunning nearby units. Consumes agent's attack.",
			REMOTE_OVERLOAD_FLAVOR = "Sales managers around the world praise FTM for their compact advertising devices. Just click the button to dispatch a list of today's hot-deals. ",

			SPIDER_CTRL = "E-store account link",
			SPIDER_CTRL_TIP = "This agent can buy PWR through exclusive channels.\nBuy 1 PWR for 74 CR. Costs 1 AP.",
			SPIDER_CTRL_FLAVOR = "Private access to the inter-corporate bidding network allows this agent to buy energy for the cost of some time and money. Draws tiny portions from different places to avoid attention.",

			SPIDER_CAN = "Spider Drone Kit",
			SPIDER_CAN_TIP = "Throw to deploy a Spider Drone.",
			SPIDER_CAN_FLAVOR = "Remotely-controlled, lightweight cybernetic spiders can scout the area, perform basic field tasks and operate simple mechanisms.",	

			SPIDER_BOT = "SPIDER DRONE",
			SPIDER_BOT_TIP = "Disposable tool",	

			TAZER_PWR_WEAK = "Weak Volt Disrupter",
			TAZER_PWR_WEAK_TOOLTIP = "Melee range", --"Take down targets from the side or rear",
			TAZER_PWR_WEAK_FLAVOR = "Budget volt disrupter models channel PWR to disrupt the Noosphere around a target, incapacitating them for a very short time.",		
		      		

	},
}

return DLC_STRINGS