---------------------------------------------------------------------
-- Invisible Inc. Mod.

local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include("sim/simdefs")
local speechdefs = include("sim/speechdefs")

local DEFAULT_DRONE = commondefs.DEFAULT_DRONE
local SOUNDS = commondefs.SOUNDS

local LONESTART_SOUNDS =
{
    bio = "",
    escapeVo = "",
	speech="", 
	step = "",
	stealthStep = "",
	wallcover = "",
	crouchcover = "",
	fall = "",
	land = "",
	land_frame = 16,						
	getup = "",
	grab = "",
	pin = "",
	pinned = "",
	peek_fwd = "",	
	peek_bwd = "",
	move = "",	
	hit = "",	
}

local agent_templates =
{
	mod_lonestart =
	{
		type = "simunit",
      		agentID = 0,
		name = "",
		file = "",
		fullname = "",
		loadoutName = "LONE START",
		yearsOfService = "",
		age = "",
		homeTown = "",
		gender = "",
		class = "",
		toolTip = "Start Alone",
		team_select_img = { 
			"gui/agents/team_select_lonestart.png",
		},
		profile_anim = "",
		kanim = "kanim_lonestart",
		traits = { selectpriority = 0, sightable = false, dynamicImpass = false, hasHearing = false, notDraggable = true, canBeCritical = false, noUpgrade = true, mod_lonestart = true, hits = "spark", },
		skills = {}, 
		startingSkills = { },
		abilities = { "lonestart", }, 
		children = { }, 
		sounds = LONESTART_SOUNDS,
		speech = "",
		blurb = "",
		upgrades = { },
	},	
}	

return agent_templates