---------------------------------------------------------------------
-- Invisible Inc. Mod. more banter for vanilla agents


--[[ 
	Content:		
		Pedler 
		Mist

]]

local agentdefs = include("sim/unitdefs/agentdefs")

local DECKER = 1
local SHALEM = 2
local XU =  3
local BANKS = 4
local INTERNATIONALE =  5
local NIKA = 6
local SHARP = 7
local PRISM = 8
local CENTRAL = 108
local MONSTER = 100	

local OLIVIA = 1000
local DEREK = 1001
local RUSH = 1002
local DRACO = 1003	
	
local PEDLER = agentdefs.mod_01_pedler.agentID
local MIST = agentdefs.mod_02_mist.agentID
local GHUFF = agentdefs.mod_03_ghuff.agentID
local N_UMI = agentdefs.mod_04_n_umi.agentID
	
local banter =
{
-- Pedler:
	
		
	-- PEDLER speaks about beaches with everyone (meta easter egg or somthn)
	-- "We will fight them on the beaches!", as that quote made more questions that answers in community 

	PEDLER_DRAKO_BEACHES_01 = {
		agents = {PEDLER,DRACO},
		dialogue = {
			{PEDLER,"We will fight them on the beaches!"},
			{DRACO,"What a grim fate. Why would anyone ever want to have a duel at those?" },
			{PEDLER,"It was a quote." },
			{DRACO,"You're mistaken, I'd never written anything like that in my books!" },
		},	
	},

	PEDLER_RUSH_BEACHES_01 = {
		agents = {PEDLER,RUSH},
		dialogue = {
			{PEDLER,"We will fight them on the beaches!"},
			{RUSH,"The sun is nice, but to run on the sand, with sand in my shoes? No thanks." },
			{PEDLER,"It was a quote." },
			{RUSH,"Alrighty then!" },
		},
	},
	
	PEDLER_OLIVIA_BEACHES_01 = {
		agents = {PEDLER,OLIVIA},
		dialogue = {
			{PEDLER,"We will fight them on the beaches!"},
			{OLIVIA,"I couldn't recall that code in detail. Can you enlighten me?" },
			{PEDLER,"It was a quote." },
			{OLIVIA,"Order is to avoid direct combat when possible. Repeat." },
		},			
	},

	PEDLER_DEREK_BEACHES_01 = {
		agents = {PEDLER,DEREK},
		dialogue = {
			{PEDLER,"We will fight them on the beaches!"},
			{DEREK,"Did I ever tell you not to use cheap lenses? I have much better in stock." },
			{PEDLER,"It was a quote."},
			{DEREK,"I can supply you under the radar, you know." },
		},
	},
	
-- Mist:
	
	-- Mist + Derek	

	MIST_DEREK_01 = {
		agents = {MIST, DEREK},
		dialogue = {				
			{MIST, "Dont trust that guy."},
			{DEREK, "You talking to me?"},
			{MIST, "Trust me, I've known corporate buffoons better than you."},
			{DEREK, "Please don't go meddling in my business."},
		},	
	}, 	
}

return banter