local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local speechdefs = include( "sim/speechdefs" )

local function onGuardTooltip( tooltip, unit )
 	if unit:getTraits().mindShaded then
		tooltip:addAbility( STRINGS.AMRE.UI.MIND_SHADED, STRINGS.AMRE.UI.MIND_SHADED_DESC,  "gui/icons/mind_shaded.png" )
	end 	
end

return 
{
	onGuardTooltip = onGuardTooltip,
}