local array = include( "modules/array" )
local util = include( "modules/util" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local speechdefs = include("sim/speechdefs")
local simquery = include("sim/simquery")
local inventory = include("sim/inventory")
local abilityutil = include( "sim/abilities/abilityutil" )

local deactivate_spider_2 = 
	{

		name = STRINGS.AMRE.ABILITIES.SPIDER_OFF,
		

		
		profile_icon = "gui/icons/action_icons/Action_icon_Small/actionicon_noentry.png",
	--	profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_leg_small2.png",
		usesAction = true,
		--usesMP = false,
	
		alwaysShow = true,
		HUDpriority = 10,
	
		createToolTip = function( self, sim, unit )
			return abilityutil.formatToolTip(STRINGS.AMRE.ABILITIES.SPIDER_OFF, STRINGS.AMRE.ABILITIES.SPIDER_OFF_DESC, 1)
		end,
		

		canUseAbility = function( self, sim, unit, userUnit, cell, direction)
			if not simquery.isAgent(unit) then
				return false
			end
					

			return abilityutil.checkRequirements( unit, userUnit )
		end,
		
		executeAbility = function( self, sim, unit, userUnit, cell, direction)
			unit:resetAllAiming()
			unit:killUnit( sim )
			
						

		end,
	}

return deactivate_spider_2
