local util = include( "modules/util" )
local simdefs = include( "sim/simdefs" )
local commondefs = include("sim/unitdefs/commondefs")
local tool_templates = include("sim/unitdefs/itemdefs")
local speechdefs = include( "sim/speechdefs" )
local SOUNDS = commondefs.SOUNDS
-------------------------------------------------------------
--

local MAINFRAME_TRAITS = commondefs.MAINFRAME_TRAITS
local SAFE_TRAITS = commondefs.SAFE_TRAITS

local onMainframeTooltip = commondefs.onMainframeTooltip
local onSoundBugTooltip = commondefs.onSoundBugTooltip
local onBeamTooltip = commondefs.onBeamTooltip
local onConsoleTooltip = commondefs.onConsoleTooltip
local onStoreTooltip = commondefs.onStoreTooltip
local onDeviceTooltip = commondefs.onDeviceTooltip
local onSafeTooltip = commondefs.onSafeTooltip

local prop_templates =
{
	letter_prop =
	{
		type = "simunit",
		name = STRINGS.PROPS.NOTE,
		icon = "itemrigs/note.png",
	--	nolocator = true,
		tooltip = nil,
		abilities = {  },
		traits = {  },
	},

	intel_prop =
	{
		type = "simunit",
		name = "intel prop",
		icon = "itemrigs/loot.png",
	--	nolocator = true,
		tooltip = nil,
		abilities = {  },
		traits = {  },
	},		

		

}

-- Reassign key name to value table.
for id, template in pairs(prop_templates) do
	template.id = id
end



return prop_templates
